﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace 随机验证码
{
  public partial class MainForm : System.Web.UI.Page
  {
    public string va { get; set; }
    public string img1 { get; set; }
    public string img2 { get; set; }
    public string img3 { get; set; }
    public string img4 { get; set; }
    public string img5 { get; set; }

    protected void Page_Load(object sender, EventArgs e)
    {
      VerificationCode.ArithmeticEquation ai = VerificationCode.CreateValidateArithmetic();
      img1 = VerificationCode.CreateValidateImageBase64String(new VerificationCode.BitmapParam() { textarr = ai.text }, new VerificationCode.BitmapStyle() { });
      va = ai.value.ToString();

      img2 = VerificationCode.CreateValidateImageBase64String(new VerificationCode.BitmapParam() { textarr = VerificationCode.StringToArray(VerificationCode.CreateValidateNumber(4)) }, new VerificationCode.BitmapStyle() { });

      img3 = VerificationCode.CreateValidateImageBase64String(new VerificationCode.BitmapParam() { textarr = VerificationCode.StringToArray(VerificationCode.CreateValidateNumber(4)) }, new VerificationCode.BitmapStyle() { IsGif = true, FrameType = VerificationCode.GifFrameType.FullFrame });

      img4 = VerificationCode.CreateValidateImageBase64String(new VerificationCode.BitmapParam() { textarr = VerificationCode.StringToArray(VerificationCode.CreateValidateChinese(4)) }, new VerificationCode.BitmapStyle() { });

      img5 = VerificationCode.CreateValidateImageBase64String(new VerificationCode.BitmapParam() { textarr = VerificationCode.StringToArray(VerificationCode.CreateValidateChinese(4)) }, new VerificationCode.BitmapStyle() { IsGif = true, FrameType = VerificationCode.GifFrameType.EveryFrame });

    }
  }
}